base: ../base.yaml

# 2011-09-19 F.J.

services:
  demo:
  #kml:
  #tms:
  wms:
    #srs: ['EPSG:4326', 'EPSG:25832', 'EPSG:31467', 'EPSG:54004']
    srs: ['EPSG:4326', 'EPSG:25832', 'EPSG:54004']
    #attribution:
    #  text: "Â© Geobasisdaten Liegenschaftskataster Kreis ...."
    md:
      title: "c: ALKIS"
      abstract: Liegenschaftskataster ALKIS Demokarte RLP Mustermonzel. Beschleunigt ueber MapProxy
      online_resource: http://mapproxy.org/
      contact:
        person: Frank Jaeger
        position: GIS-Administrator
        organization: Kommunales Rechenzentrum Minden-Ravensberg/Lippe 
        address: Am Lindenhaus 21
        city: Lemgo
        postcode: 32657
        country: Germany
        phone: +49(0)5261-252-185
        fax: +49(0)5261-932-185
        email: f.jaeger@krz.de
      access_constraints: 'Nur fuer den Dienstgebrauch'
      fees: 'None'

layers:
  - name: alkis_nutzung
    title: Nutzungsarten
    sources: [alkisrlp_nutzg_c]
  - name: alkis
    title: ALKIS
    sources: [alkisrlp_c]
    
caches:
  alkisrlp_c:
    grids: [alkis_rlp_grid]
    #sources: ["alkis:ax_klassifizierungnachstrassenrecht,ax_naturumweltoderbodenschutzrecht,ax_anderefestlegungnachwasserrecht,ax_bauraumoderbodenordnungsrecht_umrandung,ax_denkmalschutzrecht,ax_sonstigesrecht,ax_gebaeude,ax_bauteil,ax_besonderegebaeudelinie,ag_t_gebaeude,ax_flurstueck,ax_besondereflurstuecksgrenze,ag_l_flurstueck,ag_p_flurstueck,ag_t_flurstueck,ax_punktortta,ap_pto,ap_lpo","alkis_fi:ax_flurstueck"]
    # ohne Gruppe 'recht'
    sources: ["alkis:ax_gebaeude,ax_bauteil,ax_besonderegebaeudelinie,ag_t_gebaeude,ax_flurstueck,ax_besondereflurstuecksgrenze,ag_l_flurstueck,ag_p_flurstueck,ag_t_flurstueck,ax_punktortta,ap_pto,ap_lpo","alkis_fi:ax_flurstueck"]

  alkisrlp_nutzg_c:
    grids: [alkis_rlp_nua_grid]
    sources: ["alkis:ax_wohnbauflaeche,ax_industrieundgewerbeflaeche,ax_halde,ax_bergbaubetrieb,ax_tagebaugrubesteinbruch,ax_flaechegemischternutzung,ax_flaechebesondererfunktionalerpraegung,ax_sportfreizeitunderholungsflaeche,ax_friedhof,ax_strassenverkehr,ax_weg,ax_platz,ax_bahnverkehr,ax_flurverkehr,ax_schiffsverkehr,ax_landwirtschaft,ax_wald,ax_gehoelz,ax_heide,ax_moor,ax_sumpf,ax_unlandvegetationsloseflaeche,ax_vegetationsmerkmal,ax_fliessgewaesser,ax_hafenbecken,ax_stehendesgewaesser"]

sources:
  # fuer Karte
  alkis:
    type: wms
    wms_opts:
      legendgraphic: true
    # rlp
    coverage:
      bbox: "349550,5529460,355140,5532210"
      bbox_srs: "EPSG:25832"
    req:
      #url: http://wms.krz.de/cgi-bin/mapserv5?
      #map: /data/wms/alkis/alkis05rlp.map
      url: http://wms.krz.de/cgi-bin/alkis05rlp.xml?
      transparent: true
      format: image/png
  # fuer Feature-Info
  alkis_fi:
    type: wms
    wms_opts:
      featureinfo: true
      map: false
    req:
      #url: http://wms.krz.de/cgi-bin/mapserv5?
      #map: /data/wms/alkis/alkis05rlp.map
      url: http://wms.krz.de/cgi-bin/alkis05rlp.xml?
  debug:
    type: debug
